Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class RoleSyntax

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.RoleSyntax

All Implemented Interfaces:
  DEREncodable

    public class RoleSyntax

extends ASN1Encodable

Implementation of the RoleSyntax object as specified by the RFC3281.

     RoleSyntax ::= SEQUENCE {
                     roleAuthority  [0] GeneralNames OPTIONAL,
                     roleName       [1] GeneralName
               }

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`RoleSyntax(ASN1Sequence seq)` Constructor that builds an instance of `RoleSyntax` by extracting the encoded elements from the `ASN1Sequence` object supplied.
`RoleSyntax(GeneralName roleName)` Constructor.
`RoleSyntax(GeneralNames roleAuthority, GeneralName roleName)` Constructor.
`RoleSyntax(java.lang.String roleName)` Utility constructor.

Method Summary
`static RoleSyntax` | `getInstance(java.lang.Object obj)` RoleSyntax factory method.
`GeneralNames` | `getRoleAuthority()` Gets the role authority of this RoleSyntax.
`java.lang.String[]` | `getRoleAuthorityAsString()` Gets the role authority as a `String[]` object.
`GeneralName` | `getRoleName()` Gets the role name of this RoleSyntax.
`java.lang.String` | `getRoleNameAsString()` Gets the role name as a `java.lang.String` object.
`DERObject` | `toASN1Object()` Implementation of the method `toASN1Object` as required by the superclass `ASN1Encodable`.
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleSyntax

    public RoleSyntax(GeneralNames roleAuthority,
                      GeneralName roleName)

  Constructor.

  Parameters:
    `roleAuthority` - the role authority of this RoleSyntax.
    `roleName` - the role name of this RoleSyntax.

### RoleSyntax

    public RoleSyntax(GeneralName roleName)

  Constructor. Invoking this constructor is the same as invoking `new RoleSyntax(null, roleName)`.

  Parameters:
    `roleName` - the role name of this RoleSyntax.

### RoleSyntax

    public RoleSyntax(java.lang.String roleName)

  Utility constructor. Takes a `String` argument representing the role name, builds a `GeneralName` to hold the role name and calls the constructor that takes a `GeneralName`.

  Parameters:
    `roleName` -

### RoleSyntax

    public RoleSyntax(ASN1Sequence seq)

  Constructor that builds an instance of `RoleSyntax` by extracting the encoded elements from the `ASN1Sequence` object supplied.

  Parameters:
    `seq` - an instance of `ASN1Sequence` that holds the encoded elements used to build this `RoleSyntax`.

Method Detail

### getInstance

    public static RoleSyntax getInstance(java.lang.Object obj)

  RoleSyntax factory method.

  Parameters:
    `obj` - the object used to construct an instance of `RoleSyntax`. It must be an instance of `RoleSyntax` or `ASN1Sequence`.
  Returns:
    the instance of `RoleSyntax` built from the supplied object.
  Throws:
    `java.lang.IllegalArgumentException` - if the object passed to the factory is not an instance of `RoleSyntax` or `ASN1Sequence`.

### getRoleAuthority

    public GeneralNames getRoleAuthority()

  Gets the role authority of this RoleSyntax.

  Returns:
    an instance of `GeneralNames` holding the role authority of this RoleSyntax.

### getRoleName

    public GeneralName getRoleName()

  Gets the role name of this RoleSyntax.

  Returns:
    an instance of `GeneralName` holding the role name of this RoleSyntax.

### getRoleNameAsString

    public java.lang.String getRoleNameAsString()

  Gets the role name as a `java.lang.String` object.

  Returns:
    the role name of this RoleSyntax represented as a `java.lang.String` object.

### getRoleAuthorityAsString

    public java.lang.String[] getRoleAuthorityAsString()

  Gets the role authority as a `String[]` object.

  Returns:
    the role authority of this RoleSyntax represented as a `String[]` array.

### toASN1Object

    public DERObject toASN1Object()

  Implementation of the method `toASN1Object` as required by the superclass `ASN1Encodable`.

       RoleSyntax ::= SEQUENCE {
                       roleAuthority  [0] GeneralNames OPTIONAL,
                       roleName       [1] GeneralName
                 }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD